com.genesyslab.wfm8.API.service.calendar851

## Interface ECalRotatingTypes

-     public interface ECalRotatingTypes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CAL_ROTATING_ANY` Any (Shift), Day Off possible
    `static int` | `CAL_ROTATING_AVAILABILITY` Availability, Day Off possible
    `static int` | `CAL_ROTATING_DAYOFF` Day Off
    `static int` | `CAL_ROTATING_FIXEDSHIFT` Shift with specified start and end time, Day Off possible
    `static int` | `CAL_ROTATING_FLEXIBLESHIFT` Flexible Shift (start/end time not specified), Day Off possible
    `static int` | `CAL_ROTATING_GRANTEDANY` Any (Shift)
    `static int` | `CAL_ROTATING_GRANTEDAVAILABILITY` Availability
    `static int` | `CAL_ROTATING_GRANTEDFIXEDSHIFT` Shift with specified start and end time
    `static int` | `CAL_ROTATING_GRANTEDFLEXIBLESHIFT` Flexible Shift (start/end time not specified)
    `static int` | `CAL_ROTATING_NONE` Rotating Pattern type not defined

- - ### Field Detail

    - #### CAL_ROTATING_NONE

          static final int CAL_ROTATING_NONE

      Rotating Pattern type not defined
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_DAYOFF

          static final int CAL_ROTATING_DAYOFF

      Day Off
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_ANY

          static final int CAL_ROTATING_ANY

      Any (Shift), Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_FLEXIBLESHIFT

          static final int CAL_ROTATING_FLEXIBLESHIFT

      Flexible Shift (start/end time not specified), Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_AVAILABILITY

          static final int CAL_ROTATING_AVAILABILITY

      Availability, Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_FIXEDSHIFT

          static final int CAL_ROTATING_FIXEDSHIFT

      Shift with specified start and end time, Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDFIXEDSHIFT

          static final int CAL_ROTATING_GRANTEDFIXEDSHIFT

      Shift with specified start and end time
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDFLEXIBLESHIFT

          static final int CAL_ROTATING_GRANTEDFLEXIBLESHIFT

      Flexible Shift (start/end time not specified)
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDAVAILABILITY

          static final int CAL_ROTATING_GRANTEDAVAILABILITY

      Availability
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDANY

          static final int CAL_ROTATING_GRANTEDANY

      Any (Shift)
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.